This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 534383 - (RHQ-1185) remote API Jaxb serialization issue for ResourceOperationSchedule
remote API Jaxb serialization issue for ResourceOperationSchedule
Status: CLOSED WORKSFORME
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: RHQ-2202 rhq_triage
  Show dependency treegraph
 
Reported: 2008-11-25 16:35 EST by Jay Shaughnessy
Modified: 2010-08-18 16:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
jdk5
Last Closed: 2010-08-18 16:25:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2008-11-25 16:35:00 EST
When trying to schedule a ViewProcessList operation via the remote API the returned ResourceOperationSchedule is failing Serialization. Moreover, it generates a NoClassDefFoundError for reasons I can't undertand.  The safe-invoker does have the stax-api.jar, which contains this class.

16:25:47,406 INFO  [RtFilter] -- Filter openFile: Writing response-time log for webapp with context root 'rhq-rhq-enterp
rise-server-ejb3' to 'C:\Eclipse-ws\rhq\dev-container\jbossas\server\default\log\rt\rhq-rhq-enterprise-server-ejb3_rt.lo
g' (hashCode=13983901)...
16:26:12,590 ERROR [[OperationManagerBean]] Servlet.service() for servlet OperationManagerBean threw exception
java.lang.NoClassDefFoundError: javax/xml/stream/XMLStreamException
        at com.sun.xml.bind.v2.runtime.MarshallerImpl.write(MarshallerImpl.java:317)
        at com.sun.xml.bind.v2.runtime.MarshallerImpl.marshal(MarshallerImpl.java:246)
        at org.jboss.ws.core.jaxws.JAXBSerializer.serialize(JAXBSerializer.java:80)
        at org.jboss.ws.core.binding.SerializerSupport.serialize(SerializerSupport.java:57)
        at org.jboss.ws.core.soap.ObjectContent.marshallObjectContents(ObjectContent.java:159)
        at org.jboss.ws.core.soap.ObjectContent.transitionTo(ObjectContent.java:72)
        at org.jboss.ws.core.soap.SOAPContentElement.transitionTo(SOAPContentElement.java:140)
        at org.jboss.ws.core.soap.SOAPContentElement.writeElement(SOAPContentElement.java:531)
        at org.jboss.ws.core.soap.SOAPElementImpl.writeElementContent(SOAPElementImpl.java:840)
        at org.jboss.ws.core.soap.SOAPElementImpl.writeElement(SOAPElementImpl.java:825)
        at org.jboss.ws.core.soap.SOAPElementImpl.writeElementContent(SOAPElementImpl.java:840)
        at org.jboss.ws.core.soap.SOAPElementImpl.writeElement(SOAPElementImpl.java:825)
        at org.jboss.ws.core.soap.SOAPElementWriter.writeElementInternal(SOAPElementWriter.java:149)
        at org.jboss.ws.core.soap.SOAPElementWriter.writeElement(SOAPElementWriter.java:130)
        at org.jboss.ws.core.soap.SOAPMessageImpl.writeTo(SOAPMessageImpl.java:291)
        at org.jboss.wsf.stack.jbws.RequestHandlerImpl.sendResponse(RequestHandlerImpl.java:343)
        at org.jboss.wsf.stack.jbws.RequestHandlerImpl.handleRequest(RequestHandlerImpl.java:306)
        at org.jboss.wsf.stack.jbws.RequestHandlerImpl.doPost(RequestHandlerImpl.java:189)
        at org.jboss.wsf.stack.jbws.RequestHandlerImpl.handleHttpRequest(RequestHandlerImpl.java:122)
        at org.jboss.wsf.stack.jbws.EndpointServlet.service(EndpointServlet.java:84)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.rhq.helpers.rtfilter.filter.RtFilter.doFilter(RtFilter.java:116)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.jboss.web.tomcat.filters.ReplyHeaderFilter.doFilter(ReplyHeaderFilter.java:96)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:175)
        at org.jboss.web.tomcat.security.SecurityAssociationValve.invoke(SecurityAssociationValve.java:179)
        at org.jboss.web.tomcat.security.JaccContextValve.invoke(JaccContextValve.java:84)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:128)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:104)
        at org.jboss.web.tomcat.service.jca.CachedConnectionValve.invoke(CachedConnectionValve.java:157)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:241)
        at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:844)
        at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:580)
        at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:447)
        at java.lang.Thread.run(Thread.java:595)


This is reproducible via TestRemoteInterface.testOperation
Comment 1 Jay Shaughnessy 2009-06-30 13:41:06 EDT
We're first working to get java clients working via jboss remoting.  After that we'll revisit WS clients and jaxb serialization issues.
Comment 2 Red Hat Bugzilla 2009-11-10 15:27:33 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1185
Comment 3 wes hayutin 2010-02-16 11:53:37 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 11:58:52 EST
making sure we're not missing any bugs in rhq_triage
Comment 5 Corey Welton 2010-08-18 11:24:06 EDT
jay, is this still an issue?
Comment 6 Jay Shaughnessy 2010-08-18 16:25:03 EDT
This just worked for me when I tried to repro. Closing...

Note You need to log in before you can comment on or make changes to this bug.